Subject: Re: [GSoC RFC PATCH v2] graph: add --max-columns option to limit displayed columns

From: Johannes Sixt <[email-masked]>
Date: Thu, 19 Mar 2026 08:07:33 +0100

Am 18.03.26 um 19:20 schrieb Pablo:
> Junio C Hamano (<[email-masked]>) writes:>> If the option is named clearly to be related to the "--graph"
>> feature, another way to go is to make it imply "--graph".  If the
>> user says "I want to limit the graph output to consume no more than
>> 10 leftmost columns", it is clear that the user expects the graph to
>> be shown.
> 
> I'll make the name clearer about what it does and less selfish. I like
> the idea about --graph-limit-lanes to imply --graph directly and not
> force it to be explicit.
Don't let this option imply --graph. It specifies a parameter that could
also reasonably be specified via a configuration. But we don't want that
the existence of the hypothetical configuration implies --graph.

How about --edge-limit or --lane-limit?

-- Hannes